import { html as a } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, v = Object.getOwnPropertyDescriptor, n = (p, e, i, t) => {
  for (var s = t > 1 ? void 0 : t ? v(e, i) : e, o = p.length - 1, c; o >= 0; o--)
    (c = p[o]) && (s = (t ? c(e, i, s) : c(s)) || s);
  return t && s && m(e, i, s), s;
};
let r = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--swissFranc", this.class = "c-pieIcon c-pieIcon--swissFranc", this.name = "IconSwissFranc";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--swissFranc"><path d="M2.295 8.131A1.444 1.444 0 0 0 4.29 9.537a1.5 1.5 0 0 0 .508-.33l.06-.06.788.796-.052.06a2.52 2.52 0 0 1-1.89.77A2.563 2.563 0 0 1 1.079 8.15a2.564 2.564 0 0 1 2.625-2.625 2.57 2.57 0 0 1 1.89.726l.052.061-.787.814-.061-.087A1.53 1.53 0 0 0 3.695 6.6a1.435 1.435 0 0 0-1.4 1.531m7.236-.586H7.545V5.559H6.33v5.127h1.216V8.613h1.986v2.073h1.225V5.56H9.531zm5.425-.875V5.559H11.79v5.127h1.225V8.823h1.864V7.755h-1.864v-1.12z"></path></svg>`;
  }
};
n([
  l({ type: String, reflect: !0 })
], r.prototype, "size", 2);
n([
  l({ type: String, reflect: !0 })
], r.prototype, "class", 2);
r = n([
  f("icon-swiss-franc")
], r);
export {
  r as IconSwissFranc
};
